> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.scholarlysoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a rank

> Creates a new rank for the specified institution. Only available at institution admin permission levels.



## OpenAPI

````yaml /openapi.json post /api/v1/ranks
openapi: 3.1.0
info:
  title: Scholarly API V1
  version: v1
  description: API for accessing Scholarly data
  license:
    name: Proprietary
    identifier: Proprietary
servers:
  - url: https://api.scholarlysoftware.com
    description: Production server
security: []
paths:
  /api/v1/ranks:
    post:
      tags:
        - Ranks
      summary: Create a rank
      description: >-
        Creates a new rank for the specified institution. Only available at
        institution admin permission levels.
      operationId: createRank
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Bearer token
          schema:
            type: string
      requestBody:
        content:
          application/vnd.api+json:
            schema:
              $ref: '#/components/schemas/CreateRank'
      responses:
        '201':
          description: rank created
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Rank'
                required:
                  - data
        '401':
          description: unauthorized
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: forbidden
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: validation error
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/ValidationError'
      security:
        - bearer_auth: []
components:
  schemas:
    CreateRank:
      type: object
      properties:
        data:
          type: object
          properties:
            type:
              type: string
              const: rank
              example: rank
            attributes:
              type: object
              properties:
                name:
                  type: string
                external_id:
                  type:
                    - string
                    - 'null'
              required:
                - name
            relationships:
              type: object
              properties: {}
          required:
            - type
            - attributes
      required:
        - data
    Rank:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: rank
          example: rank
        attributes:
          type: object
          properties:
            created_at:
              type: string
              format: datetime
            updated_at:
              type: string
              format: datetime
            name:
              type: string
            external_id:
              type:
                - string
                - 'null'
        relationships:
          type: object
          properties: {}
        meta:
          type: object
          properties:
            deletable:
              type: boolean
            primary_appointments_count:
              type: integer
      required:
        - id
        - type
        - attributes
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
              title:
                type: string
              detail:
                type: string
            required:
              - status
              - title
      required:
        - errors
    ValidationError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                example: '422'
              title:
                type: string
                example: Validation Error
              detail:
                type: string
                example: Label can't be blank
            required:
              - status
              - title
              - detail
      required:
        - errors
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````